// Thread.h : header file
//

#pragma once


/////////////////////////////////////////////////////////////////////////////
// CThread thread

class CThread : public CWinThread
{
    DECLARE_DYNCREATE(CThread)
protected:
    CThread();           // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:

// Overrides
    // ClassWizard generated virtual function overrides
public:
    virtual BOOL InitInstance();
    virtual int ExitInstance();

// Implementation
protected:
    virtual ~CThread();

    // Generated message map functions
public:
    afx_msg void OnRun(UINT wParam, LONG lParam);
    afx_msg void OnKill(UINT wParam, LONG lParam);
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
